## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Do not update past 1.3.2. F35's protobuf is too old.

# The package currently has an empty test directory.
%bcond_with     tests

%global         srcname     google-cloud-org-policy
%global         forgeurl    https://github.com/googleapis/python-org-policy
Version:        1.4.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Organization Policy API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Organization Policy API allows users to configure governance rules on their
GCP resources across the Cloud Resource Hierarchy.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove extra scripts, docs files, and tests.
rm -rf %{buildroot}%{python3_sitelib}/{docs,samples,scripts,tests}


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_org_policy-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 fkolwa <fkolwa@redhat.com> 1.4.0-1
- Updatating package to version 1.4.0 rhbz#2106916

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 1.3.3-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 1.3.3-1
- Update to 1.3.3

* Fri May 27 2022 Major Hayden <major@mhtx.net> 1.3.2-1
- Update to 1.3.2

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 1.3.1-1
- Update to 1.3.1

* Mon Feb 28 2022 Major Hayden <major@redhat.com> 1.3.0-1
- Update to 1.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@redhat.com> 1.2.1-1
- Update to 1.2.1

* Tue Oct 19 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> 1.1.0-1
- Update to 1.1.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 1.0.2-1
- Initial commit (#1998340)
